%define name 	freqtweak
%define version 0.5.3
%define release 1mdk

Name: 		%{name}
Summary: 	GUI-based sound file tweaker
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://freqtweak.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	wxGTK2.4-devel >= 2.4.0-2mdk 
BuildRequires:  fftw-devel jackit-devel

%description
FreqTweak is a tool for FFT-based realtime audio spectral manipulation and
display. It provides several algorithms for processing audio data in the
frequency domain and a highly interactive GUI to manipulate the associated
filters for each. It also provides high-resolution spectral displays in the
form of scrolling-raster spectragrams and energy vs frequency plots
displaying both pre- and post-processed spectra.

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="FreqTweak" longtitle="Sound manipulator" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog NEWS THANKS
%{_bindir}/%name
%{_datadir}/%name
%{_mandir}/man1/%name.1.*
%{_menudir}/%name

%changelog
* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.5.3-1mdk
- 0.5.3
- buildrequires for lib64

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 0.5.2-1mdk
- 0.5.2
- add manpage

* Thu Jul 17 2003 Austin Acton <aacton@yorku.ca> 0.5.1-1mdk
- 0.5.1

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Thu Feb 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.5-2mdk
- rebuild against wxGTK 2.4

* Thu Jan 30 2003 Austin Acton <aacton@yorku.ca> 0.4.5-1mdk
- initial package
